Package org.springframework.context.annotation

# Interface DeferredImportSelector.Group

Enclosing interface:
  DeferredImportSelector

public static interface DeferredImportSelector.Group
Interface used to group results from different import selectors.

Since:
  5.0

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`DeferredImportSelector.Group.Entry`
An entry that holds the `AnnotationMetadata` of the importing `Configuration` class and the class name to import.

## Method Summary

Modifier and Type
Method
Description
`void`
`process(org.springframework.core.type.AnnotationMetadata metadata, DeferredImportSelector selector)`
Process the `AnnotationMetadata` of the importing @`Configuration` class using the specified `DeferredImportSelector`.
`Iterable<DeferredImportSelector.Group.Entry>`
`selectImports()`
Return the `entries` of which class(es) should be imported for this group.

## Method Details

### process

void process(org.springframework.core.type.AnnotationMetadata metadata, DeferredImportSelector selector)
Process the `AnnotationMetadata` of the importing @`Configuration` class using the specified `DeferredImportSelector`.

### selectImports

Iterable<DeferredImportSelector.Group.Entry> selectImports()
Return the `entries` of which class(es) should be imported for this group.